Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SPIPE Class Reference

Defines the member functions for the base class of the ACE_SPIPE abstraction. More...

`#include <SPIPE.h>`

Inheritance diagram for ACE_SPIPE

[legend]
Collaboration diagram for ACE_SPIPE:

[legend]
List of all members.

## Public Methods
int | close (void)
| Close down the STREAM pipe without removing the rendezvous point.
int | remove (void)
| Close down the STREAM pipe and remove the rendezvous point from the file system.
int | get_local_addr (ACE_SPIPE_Addr &) const
| Return the local address of this endpoint.
int | disable (int signum) const
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
| ACE_SPIPE (void)
| Ensure that this class is an abstract base class.
## Protected Attributes
ACE_SPIPE_Addr | local_addr_
| Our local address.

## Detailed Description

Defines the member functions for the base class of the ACE_SPIPE abstraction.

## Constructor & Destructor Documentation

ACE_SPIPE::ACE_SPIPE ( | void )`[protected]`

| Ensure that this class is an abstract base class.

## Member Function Documentation

int ACE_SPIPE::close ( | void )

| Close down the STREAM pipe without removing the rendezvous point. Reimplemented in ACE_SPIPE_Acceptor, ACE_UPIPE_Acceptor, and ACE_UPIPE_Stream.

ASYS_INLINE int ACE_SPIPE::disable ( | int signum ) const

| Disable signal <signum> This is here to prevent Win32 from disabling SPIPE using socket calls Reimplemented from ACE_IPC_SAP.

void ACE_SPIPE::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_SPIPE_Acceptor, ACE_SPIPE_Stream, ACE_UPIPE_Acceptor, and ACE_UPIPE_Stream.

int ACE_SPIPE::get_local_addr ( | ACE_SPIPE_Addr & local_sap ) const

| Return the local address of this endpoint.

int ACE_SPIPE::remove ( | void )

| Close down the STREAM pipe and remove the rendezvous point from the file system. Reimplemented in ACE_SPIPE_Acceptor, and ACE_UPIPE_Acceptor.

## Member Data Documentation

ACE_SPIPE::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_SPIPE_Acceptor, ACE_SPIPE_Stream, ACE_UPIPE_Acceptor, and ACE_UPIPE_Stream.

ACE_SPIPE_Addr ACE_SPIPE::local_addr_`[protected]`

| Our local address.

The documentation for this class was generated from the following files:

- SPIPE.h
- SPIPE.cpp
- SPIPE.i